---
title: Get FR Store Global Rate
slug: api-documentation/get-fr-store-global-rate
docTags: 
createdAt: 2026-08-27T16:55:41.659Z
---

{
  "id": "s2duuBMCmri-5Dvt3rEhF",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-store-global-rate",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-store-global-rate"
      }
    ],
    "name": "Get FR Store Global Rate",
    "description": "<p>The endpoint manages the Get operation on FR Store Global Rate.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>dmc-shipping-calc.read</code></li>\n</ul>\n<p>Authorized roles:</p>\n<ul>\n<li>service.operator</li>\n<li>operator.default</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/xml"
          ],
          "default": "application/json"
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "headers": [],
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Model of the global rates defined by dmc store. None of the fields are optional.",
            "customType": "FRStoreGlobalRate",
            "schema": [
              {
                "name": "siteId",
                "kind": "required",
                "type": "string",
                "description": "Configuration's site identifier.",
                "minLength": 1
              },
              {
                "name": "frGlobalDeliveryRate",
                "kind": "required",
                "type": "object",
                "description": "",
                "example": "",
                "schema": [
                  {
                    "name": "baseDistance",
                    "kind": "required",
                    "type": "number<double>",
                    "description": "Base global delivery distance.",
                    "format": "double",
                    "minimum": 0,
                    "maximum": 9999
                  },
                  {
                    "name": "maximumDistance",
                    "kind": "required",
                    "type": "number<double>",
                    "description": "Maximum global delivery distance.",
                    "format": "double",
                    "minimum": 0,
                    "maximum": 9999
                  },
                  {
                    "name": "baseMinimumCost",
                    "kind": "required",
                    "type": "number",
                    "description": "Minimum threshold of sum price of all products bought by the customer for premium rates.",
                    "minimum": 0,
                    "maximum": 999999
                  },
                  {
                    "name": "baseMaximumCost",
                    "kind": "required",
                    "type": "number",
                    "description": "Maximum threshold of sum price of all products bought by the customer for premium rates.",
                    "minimum": 0,
                    "maximum": 999999
                  },
                  {
                    "name": "basicRateUpperSubtotalLimit",
                    "kind": "required",
                    "type": "number",
                    "description": "The upper threshold level of subtotal for Basic Rate to be applicable.",
                    "minimum": 0,
                    "maximum": 999999
                  },
                  {
                    "name": "basicRatePromotionalSubtotalLimit",
                    "kind": "optional",
                    "type": "number",
                    "description": "<p>The upper limit of promotional subtotal, for free basic delivery.</p>",
                    "minimum": 0,
                    "maximum": 999999
                  },
                  {
                    "name": "percentageSubtotal",
                    "kind": "required",
                    "type": "number",
                    "description": "The percentage applied to the subtotal amount to calculate the premium rates.",
                    "minimum": 0,
                    "maximum": 100
                  },
                  {
                    "name": "perMileCost",
                    "kind": "required",
                    "type": "number",
                    "description": "The cost of each mile the parcel has to travel to reach the destination outside Base Rate Distance Delivery but within the Maximum Distance Delivery area.",
                    "minimum": 0,
                    "maximum": 9999
                  },
                  {
                    "name": "premiumDeliveryCharges",
                    "kind": "required",
                    "type": "number",
                    "description": "Premium service charges.",
                    "minimum": 0,
                    "maximum": 9999
                  },
                  {
                    "name": "basicDeliveryCharges",
                    "kind": "required",
                    "type": "number",
                    "description": "Basic service charges.",
                    "minimum": 0,
                    "maximum": 9999
                  },
                  {
                    "name": "premiumConfigurationsEnabled",
                    "kind": "required",
                    "type": "boolean",
                    "description": "A flag that tells whether premium rate configuration is active or not."
                  },
                  {
                    "name": "basicConfigurationsEnabled",
                    "kind": "required",
                    "type": "boolean",
                    "description": "A flag that tells whether basic rate configuration is active or not."
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/FRStoreGlobalRate",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "58joWTOWEdQR2JhAGcmWl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-store-global-rate \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "ijqUtbLDEoqixP9JrsRkP",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-store-global-rate\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "db6oKf6Hs3cac0bEzznYW",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-store-global-rate\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "u2ZaD8RHw-cRoHr3OYqH4",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-store-global-rate\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "58joWTOWEdQR2JhAGcmWl"
    },
    "results": {
      "languages": [
        {
          "id": "-nH71H_fUYNqNzv_tL9mW",
          "language": "200",
          "code": "// OK\n{\n  \"siteId\": \"\",\n  \"frGlobalDeliveryRate\": {\n    \"baseDistance\": \"\",\n    \"maximumDistance\": \"\",\n    \"baseMinimumCost\": 0,\n    \"baseMaximumCost\": 0,\n    \"basicRateUpperSubtotalLimit\": 0,\n    \"basicRatePromotionalSubtotalLimit\": 0,\n    \"percentageSubtotal\": 0,\n    \"perMileCost\": 0,\n    \"premiumDeliveryCharges\": 0,\n    \"basicDeliveryCharges\": 0,\n    \"premiumConfigurationsEnabled\": false,\n    \"basicConfigurationsEnabled\": false\n  }\n}"
        },
        {
          "id": "IA1DxEG9E7S1C4nf7qrGG",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "TUUbXry-DAtqbD1S96Ro7",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "-nH71H_fUYNqNzv_tL9mW"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}